## org.apache.mahout.math.hadoop.stochasticsvd
Class YtYJob.YtYReducer

    java.lang.Object
      org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>
          org.apache.mahout.math.hadoop.stochasticsvd.YtYJob.YtYReducer

Enclosing class:
  YtYJob

    public static class YtYJob.YtYReducer

extends org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer
`org.apache.hadoop.mapreduce.Reducer.Context`

Constructor Summary
`YtYJob.YtYReducer()`

Method Summary
`protected void` `cleanup(org.apache.hadoop.mapreduce.Reducer.Context context)`
`protected void` `reduce(org.apache.hadoop.io.IntWritable key, Iterable<VectorWritable> values, org.apache.hadoop.mapreduce.Reducer.Context arg2)`
`protected void` `setup(org.apache.hadoop.mapreduce.Reducer.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Reducer
`run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### YtYJob.YtYReducer

    public YtYJob.YtYReducer()

Method Detail

### setup

    protected void setup(org.apache.hadoop.mapreduce.Reducer.Context context)
                  throws IOException,
                         InterruptedException

  Overrides:
    `setup` in class `org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>`
  Throws:
    `IOException`
    `InterruptedException`

### cleanup

    protected void cleanup(org.apache.hadoop.mapreduce.Reducer.Context context)
                    throws IOException,
                           InterruptedException

  Overrides:
    `cleanup` in class `org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>`
  Throws:
    `IOException`
    `InterruptedException`

### reduce

    protected void reduce(org.apache.hadoop.io.IntWritable key,
                          Iterable<VectorWritable> values,
                          org.apache.hadoop.mapreduce.Reducer.Context arg2)
                   throws IOException,
                          InterruptedException

  Overrides:
    `reduce` in class `org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.